al_create_vertex_decl(3)

NAME

al_create_vertex_decl - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    ALLEGRO_VERTEX_DECL* al_create_vertex_decl(const ALLEGRO_VERTEX_ELEMENT* elements, int stride)

DESCRIPTION

Creates a vertex declaration, which describes a custom vertex format.

Parameters:

•   elements - An array of ALLEGRO_VERTEX_ELEMENT(3) structures.

•   stride - Size of the custom vertex structure

Returns: Newly created vertex declaration.

SEE ALSO

ALLEGRO_VERTEX_ELEMENT(3), ALLEGRO_VERTEX_DECL(3), al_destroy_vertex_decl(3)